## filters 0.3.1

=== DESCRIPTION ===
Type: Package
Package: filters
Title: A "Snake_case" Filter System for R
Version: 0.3.1
Authors@R: c(
    person("Thomas", "Neitman", role = "aut",
           comment = "Original creator of the package"),
    person("Joe", "Zhu", , "joe.zhu@roche.com", role = c("ctb", "cre")),
    person("F. Hoffmann-La Roche AG", role = c("cph", "fnd"))
  )
Description: Enables filtering datasets by a prior specified identifiers
    which correspond to saved filter expressions.
Imports: magrittr, plyr, yaml
Suggests: dplyr, random.cdisc.data, testthat
License: Apache License 2.0
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-04-16 14:55:47 UTC; rstudio
Author: Thomas Neitman [aut] (Original creator of the package),
  Joe Zhu [ctb, cre],
  F. Hoffmann-La Roche AG [cph, fnd]
Maintainer: Joe Zhu <joe.zhu@roche.com>
Repository: CRAN
Date/Publication: 2024-04-17 09:50:05 UTC

## filters 1.0

=== Makefile ===
# Various dialect translators.

LEX	 = flex

ALL	 = jive valspeak nyc cockney fin biffa ken aust drawl \
		kraut newspeak chef mb censor fudd moo buck \
		jethro b1ff
OTHER	 = ky00te

all:	$(OTHER) $(ALL)

install:	$(ALL) $(OTHER)
	install -d $(PREFIX)/usr/games
	install -s $(ALL) $(OTHER) $(PREFIX)/usr/games/

samples:	$(ALL) $(OTHER)
	echo $(ALL) $(OTHER) |xargs -n 1 sh makesample.sh

clean:
	$(RM) -f core *.o *~ $(ALL) *.c SAMPLES
	cd ky00te.dir; make clean	

.SUFFIXES: .l

.l:
	$(RM) $*.c
	$(LEX) -t $< > $*.c
	$(CC) -O -o $@ $*.c -lfl
	strip $@
	$(RM) $*.c

.SUFFIXES: .dir

.dir:	
	cd $<; make

=== debian/changelog ===
filters (1.0-1) unstable; urgency=low

  * First release.

 -- Joey Hess <jeh22@cornell.edu>  Sat, 28 Sep 1996 00:55:40 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: filters
Section: games
Priority: optional
Maintainer: Joey Hess <jeh22@cornell.edu>
Standards-Version: 2.1.1.0

Package: filters
Architecture: any
Depends: ${shlibs:Depends}
Description: a collection of filters, including B1FF and the swedish chef
 A collection of filters to do all sorts of strange things to english text.
 This includes such favorites as B1FF and the swedish chef, as well as lots
 of other filters.

=== debian/rules ===
#!/usr/bin/make -f
##############################################################################
# Generic debian/rules file. Based on:
#
#> Sample debian.rules file - for GNU Hello (1.3).
#> Copyright 1994,1995 by Ian Jackson.
#> I hereby give you perpetual unlimited permission to copy,
#> modify and relicense this file, provided that you do not remove
#> my name from the file itself.  (I assert my moral right of
#> paternity under the Copyright, Designs and Patents Act 1988.)
#
# Heavily modified by Joey Hess <jeh22@cornell.edu>
#
##############################################################################
#
# NOTE: You shouldn't have to edit this file. Edit debian/config instead.
# If you must edit this file to get your package to build properly, then
# I have failed. Let me know; mail jeh22@cornell.edu.
#
# (Currently not handled: multiple binary packages from 1 source package,
# and binary-indep rule.)
#
# NOTE: This file is designed so it doesn't need to be run as root. For
# actions that require that the user be root, the root password will be
# prompted for, if you're not already root.
#
##############################################################################

# Include config file.
include debian/config

# Generate a makefile (via configure scriopt or xmkmf).
makefile-stamp:
  ifeq ($(strip $(use_imakefile)),y)
	xmkmf -a
  endif 
	$(use_configure)
	touch makefile-stamp

# Preserve some files that may get deleted/overwritten/modified otherwise.
preserve-stamp:
  ifneq ($(strip $(preserve_files)),)
	$(foreach file,$(preserve_files),-cp $(file) $(file).preserved)
  endif
	touch preserve-stamp

build: preserve-stamp makefile-stamp
	$(checkdir)
	$(build_command)
	touch build

clean: preserve-stamp makefile-stamp
	$(checkdir)
  # Do actual cleaning up here.
	-rm -f build
	$(clean_command)
	-rm -rf *~ debian/*~ debian/files* $(clean_files)
	$(clean_tmp)
  # Remove Makefile that xmkmf creates.
  ifeq ($(strip $(use_imakefile)),y)
	-rm -f Makefile
  endif
  # If we preserved some files, we need to restore them now.
  ifneq ($(strip $(preserve_files)),)
	$(foreach file,$(preserve_files),-mv -f $(file).preserved $(file))
  endif
	-rm -f preserve-stamp makefile-stamp

# Build architecture-independent files here.
# (not yet set up to be used)
binary-indep: build
	$(checkdir)

# Build architecture-dependent files here.
binary-arch: build
	$(checkdir)
	$(clean_tmp)
	install -d debian/tmp debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)
	$(install_command)
  # Compress manpages
	-gzip -9v -r debian/tmp/usr/man/ debian/tmp/usr/X11R6/man/
  # Install documentation files, compressed.
  ifneq ($(strip $(docs)),)
	cp $(docs) debian/tmp/usr/doc/$(package)
	gzip -9v debian/tmp/usr/doc/$(package)/*
  endif
  # Install copyright file, don't compress.
  ifneq ($(strip $(copyright)),)
	cp $(copyright) debian/tmp/usr/doc/$(package)/copyright
  endif
  # Install examples, compressed.
  ifneq ($(strip $(examples)),)
	install -d debian/tmp/usr/doc/examples/$(package)
	cp $(examples) debian/tmp/usr/doc/examples/$(package)
	gzip -9v debian/tmp/usr/doc/examples/$(package)/*
  endif
  # Install other debian files if they exist.
	-install -m 644 debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	-gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
	-install -m 644 debian/conffiles debian/tmp/DEBIAN/conffiles
	-install -m 755 debian/preinst debian/tmp/DEBIAN/preinst
	-install -m 755 debian/postinst debian/tmp/DEBIAN/postinst
	-install -m 755 debian/prerm debian/tmp/DEBIAN/prerm
	-install -m 755 debian/postrm debian/tmp/DEBIAN/postrm
  # Generate control file.
	dpkg-shlibdeps $(binfiles)
	dpkg-gencontrol
  # Set permissions.
	@[ "`whoami`" != root ] && \
		echo -e "\n ** Enter root password to set file permissions."; \
	su -c "debian/rules setperms"
  # Actually build the .deb file.
	dpkg --build debian/tmp ..

# This must be run suid root, it sets the file permissions in debian/tmp
setperms:
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	$(ch_commands)

define checkdir
	@test -f $(test_file) -a -f debian/rules || (echo -e "\n\
	** \"$(test_file)\" or \"debian/rules\" does not exist.\n\
	** Either \"$(package)\" is not unpacked in this directory, or\n\
	** an incorrect test_file is specified in debian/config.\n" && false)
endef

# This rm's the debian/tmp directory.
define clean_tmp
	-rm -rf debian/tmp >/dev/null 2>&1
	@if [ -d debian/tmp ]; then \
		if  [ "`whoami`" != root ]; then \
			echo -e "\n ** Enter root password to remove debian/tmp."; \
		fi; \
		su -c "rm -rf debian/tmp"; \
	fi
endef

binary: binary-indep binary-arch
.PHONY: clean setperms binary

## filters 1.2

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,8 @@
 .l:
 	$(RM) $*.c
 	$(LEX) -t $< > $*.c
-	$(CC) -O -o $@ $*.c -lfl
-	strip $@
+	$(CC) -O -o $@ $*.c -lfl -g
+#	strip $@
 	$(RM) $*.c
 
 .SUFFIXES: .dir

=== debian/changelog ===
filters (1.2) frozen unstable; urgency=low

  * Fixed bug #8329 (buck segfaulted if it encountered C[aou] or R[aeiou] in
    input.)
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 8 Apr 1997 20:59:12 -0400

filters (1.1) unstable; urgency=low

  * Changed version number to 1.1, because there was some confusion if this
    was a debian-only package. It is, so I've removed the debian revision
    number.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Dec 1996 20:35:51 -0500

filters (1.0-2) unstable; urgency=low

  * New email address.
  * Use debmake.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Dec 1996 15:40:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: filters
 Section: games
 Priority: optional
-Maintainer: Joey Hess <jeh22@cornell.edu>
+Maintainer: Joey Hess <joeyh@master.debian.org>
 Standards-Version: 2.1.1.0
 
 Package: filters

=== debian/rules ===
#!/usr/bin/make -f
##############################################################################
# Generic debian/rules file. Based on:
#
#> Sample debian.rules file - for GNU Hello (1.3).
#> Copyright 1994,1995 by Ian Jackson.
#> I hereby give you perpetual unlimited permission to copy,
#> modify and relicense this file, provided that you do not remove
#> my name from the file itself.  (I assert my moral right of
#> paternity under the Copyright, Designs and Patents Act 1988.)
#
# Heavily modified by Joey Hess <joeyh@master.debian.org>
#
##############################################################################
#
# NOTE: You shouldn't have to edit this file. Edit debian/config instead.
# If you must edit this file to get your package to build properly, then
# I have failed. Let me know; mail me.
#
# (Currently not handled: multiple binary packages from 1 source package,
# and binary-indep rule.)
#
# NOTE: This file is designed so it doesn't need to be run as root. For
# actions that require that the user be root, the root password will be
# prompted for, if you're not already root.
#
##############################################################################
#
# Changelog:
# * Run dpkg-gencontrol after debstd, and delete substvars during clean.
# * Clean up junk files in subdirs.
# * Modifications for multiple binary package support.
# * Call debstd after fixing file perms.
# * Don't pass package name to debstd + fixes for multi binary packages. 
# * Use build-stamp instead of build.
# * New email address.
# * Added changelog.
#
##############################################################################

# Include config file.
include debian/config

# Generate a makefile (via configure scriopt or xmkmf).
makefile-stamp:
  ifeq ($(strip $(use_imakefile)),y)
	xmkmf -a
  endif 
	$(use_configure)
	touch makefile-stamp

# Preserve some files that may get deleted/overwritten/modified otherwise.
preserve-stamp:
  ifneq ($(strip $(preserve_files)),)
	$(foreach file,$(preserve_files),cp $(file) $(file).preserved ;)
  endif
	touch preserve-stamp

build-stamp: preserve-stamp makefile-stamp
	$(checkdir)
	$(build_command)
	touch build-stamp

build: build-stamp

clean: preserve-stamp makefile-stamp
	$(checkdir)
  # Do actual cleaning up here.
	-rm -f build-stamp
	$(clean_command)
	find . -name '\#*\#' -o -name '*~' -o -name 'DEADJOE' -exec rm {} \;
	-rm -f debian/files* debian/substvars $(clean_files)
	$(clean_tmp)
  # Remove Makefile that xmkmf creates.
  ifeq ($(strip $(use_imakefile)),y)
	-rm -f Makefile
  endif
  # If we preserved some files, we need to restore them now.
  ifneq ($(strip $(preserve_files)),)
	$(foreach file,$(preserve_files),mv -f $(file).preserved $(file); )
  endif
	-rm -f preserve-stamp makefile-stamp

# Build architecture-independent files here.
# (not yet set up to be used)
binary-indep: build
	$(checkdir)

# Build architecture-dependent files here.
binary-arch: build
	$(checkdir)
	$(clean_tmp)
	$(install_command)
  # Set permissions and check package for problems, then build package.
	@[ "`whoami`" != root ] && \
		echo -e "\n ** Enter root password to set file permissions."; \
		sudo debian/rules setperms

# This must be run suid root, it sets the file permissions in debian/tmp
setperms:
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
  # Debstd handles lots of nasty details. This requires that the debmake
  # package is installed.
	-debstd $(debstd) $(docs)
	dpkg-gencontrol -p$(package)
	$(ch_commands)
	dpkg --build debian/tmp ..

define checkdir
	@test -e $(test_file) -a -f debian/rules || (echo -e "\n\
	** \"$(test_file)\" or \"debian/rules\" does not exist.\n\
	** Either the package is not unpacked in this directory, or\n\
	** an incorrect test_file is specified in debian/config.\n" && false)
endef

# This rm's the debian/tmp directory, and any other directories specified in 
# tmpdirs
define clean_tmp
	-rm -rf debian/tmp >/dev/null 2>&1
	@if [ -d debian/tmp ]; then \
		if  [ "`whoami`" != root ]; then \
			echo -e "\n ** Enter root password to remove temporary directories."; \
		fi; \
		sudo rm -rf debian/tmp $(tmp_dirs); \
	fi
endef

binary: binary-indep binary-arch
.PHONY: clean setperms binary

## filters 2.9

=== Makefile ===
# Various dialect translators.

LEX	 = flex

ALL	 = jethro kraut
OTHER	 = eleet b1ff chef jibberish upside-down

all:	$(OTHER) $(ALL)

install:	$(ALL) $(OTHER)
	install -d $(PREFIX)/usr/games
	install $(ALL) $(OTHER) $(PREFIX)/usr/games/
	install -d $(PREFIX)/usr/share/man/man6
	install -m 0644 filters.6 $(PREFIX)/usr/share/man/man6
	cd $(PREFIX)/usr/share/man/man6 && \
		$(foreach prog,$(ALL) $(OTHER),ln -s filters.6 $(prog).6;)

samples:	$(ALL) $(OTHER)
	-rm -f SAMPLES
	PATH=. echo $(ALL) $(OTHER) |xargs -n 1 sh makesample.sh

clean:
	$(RM) -f core *.o *~ $(ALL) *.c SAMPLES

.SUFFIXES: .l

.l:
	$(RM) $*.c
	$(LEX) -t $< > $*.c
	$(CC) -O -o $@ $*.c -lfl -g
#	strip $@
	$(RM) $*.c

.SUFFIXES: .dir

.dir:	
	cd $<; make

kraut:
	cd kraut.dir && lex kraut.l
	cd kraut.dir && cc kraut.c lex.yy.c -o ../kraut

=== debian/changelog ===
filters (2.9) unstable; urgency=low

  * Fixed "burk" to "bork" globally. Closes: #52589

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Dec 1999 14:14:41 -0800

filters (2.8) unstable; urgency=low

  * makesample.sh is now careful to make sure each program is executable
    before running it. Closes: #50985
  * I also set -e the script.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Nov 1999 14:09:43 -0800

filters (2.7) unstable; urgency=low

  * A much better synopsis.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Nov 1999 00:06:57 -0800

filters (2.6) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 1999 21:25:47 -0700

filters (2.5) unstable; urgency=low

  * eleet: w -> \/\/
  * Spelling correction patch from Edward Betts <edward@debian.org>
    (closes: #38850)

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Jun 1999 13:03:02 -0700

filters (2.4) unstable; urgency=low

  * chef: say "knooeeng" for "knowing", and in general say "oo" for "ow".

 -- Joey Hess <joeyh@debian.org>  Wed, 19 May 1999 17:20:07 -0700

filters (2.3) unstable; urgency=low

  * Added kraut filter (free version found).

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Mar 1999 15:52:05 -0800

filters (2.2) unstable; urgency=low

  * fixed Makefile to add . to PATH before running makesample.sh, because it
    called jibberish, which looks only in /usr/games for the filters, and if
    you're building filters w/o the package installed, they won't be there
    and the build will fail. Whew! (closes: #33758)

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Feb 1999 00:17:24 -0800

filters (2.1) unstable; urgency=low

  * Added upside down filter, which well, turns text upside down.

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Feb 1999 18:22:43 -0800

filters (2.0) unstable; urgency=low

  * Re-wrote the eleet, chef, b1ff filters in perl, dropped all the rest
    (except jethro); they will be in filters-nonfree now. This was done
    due to copyright problems in the original filters.
  * Fixes important bug #32333

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Jan 1999 13:13:17 -0800

filters (1.8) unstable; urgency=low

  * Added jibberish meta-filter by Raul Miller <rdm@test.legislate.com>.
    (#24677)

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Dec 1998 15:18:09 -0800

filters (1.7) unstable; urgency=low

  * Renamed mb to marc-barrett to eliminate namespace pollution.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Apr 1998 00:23:38 -0700

filters (1.6) unstable; urgency=low

  * Added eleet filter, thanks to Jeremy Worrells <jworrell@priacc.com>.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Mar 1998 11:41:29 -0800

filters (1.5) unstable; urgency=low

  * Updated standards-version.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 1998 13:38:55 -0800

filters (1.4) unstable; urgency=low

  * Use debhelper.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Feb 1998 19:38:35 -0800

filters (1.3) unstable; urgency=low

  * Libc6.
  * Added man pages. #11318

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Jul 1997 13:31:07 -0400

=== debian/control ===
Source: filters
Section: games
Priority: optional
Build-Depends: debhelper, flex
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.1.1.1

Package: filters
Architecture: any
Depends: ${shlibs:Depends}
Description: a collection of filters, including B1FF and the swedish chef
 A collection of filters to do all sorts of strange things to text.
 This includes such favorites as B1FF and the swedish chef.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) samples
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -i clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=debian/tmp install
	dh_installdocs README SAMPLES
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## filters 2.22

=== Makefile ===
# Various dialect translators.

LEX	 = flex

BUILD	 = jethro kraut cockney jive nyc ken ky00te newspeak
OTHER	 = eleet b1ff chef jibberish upside-down rasterman studly fudd

all:	$(OTHER) $(BUILD)

install:	$(BUILD) $(OTHER)
	install -d $(PREFIX)/usr/games
	install $(BUILD) $(OTHER) $(PREFIX)/usr/games/
	install -d $(PREFIX)/usr/share/man/man6
	install -m 0644 filters.6 $(PREFIX)/usr/share/man/man6
	cd $(PREFIX)/usr/share/man/man6 && \
		$(foreach prog,$(BUILD) $(OTHER),ln -s filters.6 $(prog).6;)

samples:	$(BUILD) $(OTHER)
	-rm -f SAMPLES
	PATH=.:$$PATH; export PATH; echo $(BUILD) $(OTHER) |xargs -n 1 sh makesample.sh

clean:
	$(RM) -f core *.o *~ $(BUILD) *.c SAMPLES
	cd ky00te.dir && make clean

.SUFFIXES: .l

.l:
	$(RM) $*.c
	$(LEX) -t $< > $*.c
	$(CC) -O -o $@ $*.c -lfl -g
#	strip $@
	$(RM) $*.c

.SUFFIXES: .dir

.dir:	
	cd $<; make

ky00te:
	cd ky00te.dir && make

kraut:
	cd kraut.dir && lex kraut.l
	cd kraut.dir && cc kraut.c lex.yy.c -o ../kraut

=== debian/changelog ===
filters (2.22) unstable; urgency=low

  * Something I already fixed in CVS, Closes: #124617
  * debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Dec 2001 22:20:35 -0500

filters (2.21) unstable; urgency=low

  * Wrote elmer fudd filter in perl, replacment for a long-removed
    lex filter of uncertian authorship and copyright. Closes: #109157

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Oct 2001 19:32:00 -0400

filters (2.20) unstable; urgency=low

  * Woo hoo! JWZ has placed newspeak under a BSD-ish license, so it moves
    in from filters-nonfree. Which is now empty, and will be removed.
  * Added studly caps filter by Nick Phillips <nwp@lemon-computing.com>.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Aug 2001 20:38:49 -0400

filters (2.19) unstable; urgency=low

  * Fixed jibberish makesamples run to not use installed versions of the
    filters.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Jul 2001 23:44:45 -0400

filters (2.18) unstable; urgency=low

  * ky00te is free! That leaves only newspeak in filters-nonfree.
  * A big thanks to Edward Betts for contacting authors.
  * Fixed echo -n bashism in SAMPLES construction.
  * rasterman: Added flim!

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Jun 2001 18:51:39 -0400

filters (2.17) unstable; urgency=low

  * ken: WAP fixes.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Jun 2001 16:35:38 -0400

filters (2.16) unstable; urgency=low

  * ken is now free.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Jun 2001 14:58:58 -0400

filters (2.15) unstable; urgency=low

  * Rasterized jubberish, Closes: #81901

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jan 2001 23:48:00 -0800

filters (2.14) unstable; urgency=low

  * Hahaha. Added a rasterman filter. (Not just "raster" as I worry about
    namespace pollution.)

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Nov 2000 20:00:28 -0800

filters (2.13) unstable; urgency=low

  * cockney, jive, and nyc filters are now GPL'd, moved from -nonfree
    package.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Nov 2000 19:04:08 -0800

filters (2.12) unstable; urgency=low

  * Use debhelper v2.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Sep 2000 15:06:11 -0700

filters (2.11) unstable; urgency=low

  * Corrected the man page, which was misrepresenting me as the author of
    some programs I didn't write.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Aug 2000 22:58:02 -0700

filters (2.10) unstable; urgency=low

  * upside-down: 5 and 2 are the best available upside-down versions of
    themselves. I had it backwards.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jun 2000 16:23:59 -0700

=== debian/control ===
Source: filters
Section: games
Priority: optional
Build-Depends: debhelper (>= 3), flex, bison | byacc | btyacc
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.5.6.0

Package: filters
Architecture: any
Conflicts: filters-nonfree
Replaces: filters-nonfree
Depends: ${shlibs:Depends}
Description: a collection of filters, including B1FF and the Swedish Chef
 A collection of filters to do all sorts of strange things to text.
 This includes such favorites as B1FF and the Swedish Chef, and a wide
 range of others.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=3
 
 build: build-stamp
 build-stamp:
@@ -24,28 +27,23 @@
 
 # Build architecture-dependent files here.
 binary-arch: build
-#	dh_testversion
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) PREFIX=debian/tmp install
-	dh_installdocs README SAMPLES
+	$(MAKE) PREFIX=debian/filters install
+	dh_installdocs README SAMPLES ky00te.dir/README.ky00te
 	dh_installexamples
 	dh_installmenu
-#	dh_installinit
 	dh_installcron
 	dh_installmanpages
-#	dh_undocumented
 	dh_installchangelogs
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-#	dh_makeshlibs
 	dh_md5sums
 	dh_builddeb

## filters 2.33

=== Makefile ===
LEX	= flex
BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak
OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd censor spammer
CFLAGS	= -O2 -lfl
INSTALL_PROGRAM = install

# DEB_BUILD_OPTIONS suport, to control binary stripping.
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

# And debug building.
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif

all:	$(OTHER) $(BUILD)

install:	$(BUILD) $(OTHER)
	install -d $(PREFIX)/usr/games
	$(INSTALL_PROGRAM) $(BUILD) $(PREFIX)/usr/games/
	install $(OTHER) $(PREFIX)/usr/games/
	install -d $(PREFIX)/usr/share/man/man6
	install -m 0644 filters.6 $(PREFIX)/usr/share/man/man6
	cd $(PREFIX)/usr/share/man/man6 && \
		$(foreach prog,$(BUILD) $(OTHER),ln -s filters.6 $(prog).6;)

samples:	$(BUILD) $(OTHER)
	-rm -f SAMPLES
	PATH=.:$$PATH; export PATH; echo $(BUILD) $(OTHER) |xargs -n 1 sh makesample.sh

clean:
	$(RM) -f core *.o *~ $(BUILD) *.c SAMPLES
	cd ky00te.dir && make clean
	rm -f kraut.dir/lex.yy.c

.SUFFIXES: .l

.l:
	$(RM) $*.c
	$(LEX) -t $< > $*.c
	$(CC) -o $@ $*.c $(CFLAGS)
	$(RM) $*.c

.SUFFIXES: .dir

.dir:	
	cd $<; make

ky00te:
	cd ky00te.dir && make

kraut:
	cd kraut.dir && lex kraut.l
	cd kraut.dir && cc kraut.c lex.yy.c -o ../kraut

=== debian/changelog ===
filters (2.33) unstable; urgency=low

  * Better flex fixups; make sure to link with -lfl even if building
    indivitually, and move stuff that uses unput into %{ %} delimited blocks
    in rules section.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Apr 2003 15:06:25 -0400

filters (2.32) unstable; urgency=low

  * Deal with the new flex 2.5.31 as follows:
    - Add main and yywrap functions, though they were not needed before.
    - Call yyunput instead of unput macro, as the macro uses yytext_ptr,
      which flex undefes before the bottom set of functions are defined.
    Closes: #189040
  * Various other fixes to build without warnings.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Apr 2003 23:39:26 -0400

filters (2.31) unstable; urgency=low

  * censor: corrected spelling of pyvgbevf, Closes: #172976

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Feb 2003 14:03:18 -0500

filters (2.30) unstable; urgency=low

  * Falk Hueffner provided a patch to make kraut work on alpha.
    Closes: #169256

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Nov 2002 00:16:40 -0500

filters (2.29) unstable; urgency=low

  * Added certain German phrase to the censor filter. If Germans want to send
    me censored German phrases, I will be glad to continue adding them to this
    filter.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 13:35:51 -0500

filters (2.28) unstable; urgency=low

  * Fixed a typo in kraut.
  * Note in man page that it's a _bad_ German accent. Think 1940's 
    American propiganda movies. Closes: #169163

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 11:52:48 -0500

filters (2.27) unstable; urgency=low

  * Added a censor filter.
  * Added a spammer filter which generates spamassassin-triggering
    pseudo-spam from input.
  * Updated eleet filter (which should perhaps be renamed to just 'leet')
    to the <ahem> standards of irc circa mid 2002.
  * Make jibberish filter only run text through 3 to 8 of the other filters.
  * Various improvements.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Nov 2002 16:37:12 -0500

filters (2.26) unstable; urgency=low

  * Don't use dh_installmanpages.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 18:27:53 -0400

filters (2.25) unstable; urgency=low

  * Fixed debhelper build-dep.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 22:41:07 -0400

filters (2.24) unstable; urgency=low

  * debhelper v4
  * DEB_BUILD_OPTS support

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 16:45:49 -0400

filters (2.23) unstable; urgency=low

  * Patch from Seneca <seneca-cunningham@rogers.com> to correct newspeak's
    handling of double quotes preeceeded by punctuation and followed by a
    blank line. Closes: #146769

 -- Joey Hess <joeyh@debian.org>  Sun, 19 May 2002 19:52:06 -0400

## filters 2.34

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 LEX	= flex
 BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak
-OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd censor spammer
+OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd censor spammer uniencode
 CFLAGS	= -O2 -lfl
 INSTALL_PROGRAM = install

=== debian/changelog ===
filters (2.34) unstable; urgency=low

  * Add uniencode filter. Because υɳіϲоⅾе is fun.
  * Fix filters man page to escape hyphens. Because υɳіϲоⅾе is fun.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Nov 2004 13:37:51 -0500

=== debian/control ===
Source: filters
Section: games
Priority: optional
Build-Depends: debhelper (>= 4), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.5.9.0

Package: filters
Architecture: any
Conflicts: filters-nonfree
Replaces: filters-nonfree
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a collection of filters, including B1FF and the Swedish Chef
 A collection of filters to do all sorts of strange things to text.
 This includes such favorites as B1FF and the Swedish Chef, and a wide
 range of others.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) samples
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -i clean
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=debian/filters install
	dh_installdocs README SAMPLES ky00te.dir/README.ky00te
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## filters 2.38

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 LEX	= flex
-BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak
-OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd censor spammer uniencode
+BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak nethackify
+OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd \
+	  censor spammer uniencode pirate
 CFLAGS	= -O2 -lfl
 INSTALL_PROGRAM = install
 
@@ -33,6 +34,7 @@
 	$(RM) -f core *.o *~ $(BUILD) *.c SAMPLES
 	cd ky00te.dir && make clean
 	rm -f kraut.dir/lex.yy.c
+	cd nethackify.dir && make clean
 
 .SUFFIXES: .l
 
@@ -53,3 +55,6 @@
 kraut:
 	cd kraut.dir && lex kraut.l
 	cd kraut.dir && cc kraut.c lex.yy.c -o ../kraut
+
+nethackify:
+	cd nethackify.dir && make

=== debian/changelog ===
filters (2.38) unstable; urgency=low

  * Munged accented characters in man page.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:31:38 -0500

filters (2.37) unstable; urgency=low

  * Suggest bsdgames, which contains pig and rot13.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Sep 2005 23:36:38 -0400

filters (2.36) unstable; urgency=low

  * Impress all yer maties on talk like a pirate day with th' new priate
    filter, by Dougal Campbell, to be sure.
  * Retroactively spiced up th' changelog. Shiver me timbers! 

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Aug 2005 23:28:25 -0400

filters (2.35) unstable; urgency=low

  * Ad| nethackify filtcr. Closes: #317656
  * Add automatic webpage update gunk.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Aug 2005 22:24:29 -0400

## filters 2.39~bpo1

=== debian/changelog ===
filters (2.39~bpo1) sarge-backports; urgency=low

  * Rebuild for Backports <http://www.backports.org/>.

 -- Gurkan Sengun <gurkan@linuks.mine.nu>  Thu, 11 Jan 2007 13:52:13 +0100

filters (2.39) unstable; urgency=low

  * Add kenny filter. Closes: #317656

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Feb 2006 16:27:25 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.5.9.0
+Uploaders: Gurkan Sengun <gurkan@linuks.mine.nu>
+Standards-Version: 3.6.2
 
 Package: filters
 Architecture: any
 Conflicts: filters-nonfree
 Replaces: filters-nonfree
+Suggests: bsdgames
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: a collection of filters, including B1FF and the Swedish Chef
  A collection of filters to do all sorts of strange things to text.

## filters 2.39

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 LEX	= flex
 BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak nethackify
 OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd \
-	  censor spammer uniencode pirate
+	  censor spammer uniencode pirate kenny
 CFLAGS	= -O2 -lfl
 INSTALL_PROGRAM = install

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Uploaders: Gurkan Sengun <gurkan@linuks.mine.nu>
 Standards-Version: 3.6.2
 
 Package: filters

=== debian/rules ===
--- 
+++ 
@@ -33,5 +33,16 @@
 	dh_md5sums
 	dh_builddeb
 
+VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
+
+# Update the web page. Not intended for use by anyone except the
+# author.
+DIR=/home/web/kitenet.net/programs/filters
+installhook:
+	cp debian/changelog $(DIR)/CHANGES
+	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
+	rm -f $(DIR)/*.tar.gz
+	ln -s /home/joey/lib/debian/unstable/filters_$(VERSION).tar.gz $(DIR)/filters-$(VERSION).tar.gz
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

## filters 2.43

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 LEX	= flex
 BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak nethackify
 OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd \
-	  censor spammer uniencode pirate kenny
+	  censor spammer uniencode pirate kenny scottish fanboy
 CFLAGS	= -O2 -lfl
 INSTALL_PROGRAM = install

=== debian/changelog ===
filters (2.43) unstable; urgency=low

  * Added the fanboy filter.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Oct 2007 04:58:44 -0400

filters (2.42) unstable; urgency=low

  * Moved from subversion to git.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 20:37:33 -0400

filters (2.41) unstable; urgency=low

  * pirate: Roll r's. Also, conjugate 'is' in present tense, and add some
    more phrases. Closes: #443213

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Sep 2007 14:26:41 -0400

filters (2.40) unstable; urgency=low

  * Update url to web page in README.
  * Add scottish filter by Adam Borowski. Closes: #436168

 -- Joey Hess <joeyh@debian.org>  Thu, 09 Aug 2007 17:19:14 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
+Vcs-Git: git://git.kitenet.net/filters
 
 Package: filters
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) samples
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) -i clean
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=debian/filters install
	dh_installdocs README SAMPLES ky00te.dir/README.ky00te
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/filters/news

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## filters 2.44

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd \
 	  censor spammer uniencode pirate kenny scottish fanboy
 CFLAGS	= -O2 -lfl
+export CFLAGS
 INSTALL_PROGRAM = install
 
 # DEB_BUILD_OPTIONS suport, to control binary stripping.
@@ -54,7 +55,7 @@
 
 kraut:
 	cd kraut.dir && lex kraut.l
-	cd kraut.dir && cc kraut.c lex.yy.c -o ../kraut
+	cd kraut.dir && $(CC) kraut.c lex.yy.c -o ../kraut
 
 nethackify:
 	cd nethackify.dir && make

=== debian/changelog ===
filters (2.44) unstable; urgency=low

  * Work around dpkg bug #476138. Closes: #475979
  * Use CC consistently.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Apr 2008 13:26:53 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Vcs-Git: git://git.kitenet.net/filters
+Homepage: http://kitenet.net/~joey/code/filters/
 
 Package: filters
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	$(MAKE) -i clean
+	$(MAKE) clean
 	dh_clean
 
 binary-indep: build

## filters 2.45

=== Makefile ===
--- 
+++ 
@@ -16,15 +16,15 @@
 CFLAGS += -g
 endif
 
-all:	$(OTHER) $(BUILD)
+all:	$(OTHER) $(BUILD) samples
 
 install:	$(BUILD) $(OTHER)
-	install -d $(PREFIX)/usr/games
-	$(INSTALL_PROGRAM) $(BUILD) $(PREFIX)/usr/games/
-	install $(OTHER) $(PREFIX)/usr/games/
-	install -d $(PREFIX)/usr/share/man/man6
-	install -m 0644 filters.6 $(PREFIX)/usr/share/man/man6
-	cd $(PREFIX)/usr/share/man/man6 && \
+	install -d $(DESTDIR)/usr/games
+	$(INSTALL_PROGRAM) $(BUILD) $(DESTDIR)/usr/games/
+	install $(OTHER) $(DESTDIR)/usr/games/
+	install -d $(DESTDIR)/usr/share/man/man6
+	install -m 0644 filters.6 $(DESTDIR)/usr/share/man/man6
+	cd $(DESTDIR)/usr/share/man/man6 && \
 		$(foreach prog,$(BUILD) $(OTHER),ln -s filters.6 $(prog).6;)
 
 samples:	$(BUILD) $(OTHER)

=== debian/changelog ===
filters (2.45) unstable; urgency=low

  * Use debhelper v7; rules file minimisation to 3 lines.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:25:48 -0400

## filters 2.46

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 samples:	$(BUILD) $(OTHER)
 	-rm -f SAMPLES
-	PATH=.:$$PATH; export PATH; echo $(BUILD) $(OTHER) |xargs -n 1 sh makesample.sh
+	PATH=.:$$PATH; export PATH; echo $(BUILD) $(OTHER) |grep -v fanboy |xargs -n 1 sh makesample.sh
 
 clean:
 	$(RM) -f core *.o *~ $(BUILD) *.c SAMPLES

=== debian/changelog ===
filters (2.46) unstable; urgency=low

  * fanboy: Improve docs and remove from SAMPLES. Closes: #496588

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Oct 2008 23:44:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: filters
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 4), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 7), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/filters
 Homepage: http://kitenet.net/~joey/code/filters/

## filters 2.48

=== debian/changelog ===
filters (2.48) unstable; urgency=low

  * Mention that some filters support reading from input files.
    Closes: #569764

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Feb 2011 00:01:44 -0400

filters (2.47) unstable; urgency=low

  * Patch from Anssi Hannula to avoid warnings when
    compiling with -Werror=format-security.
  * scramble: New filter that scambles the inner letters of
    words. Contributed by Andrew J. Buehler.
  * Converted debian/copyright to machine parseable format.

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Jul 2009 16:47:23 -0400

## filters 2.49

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LEX	= flex
-BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak nethackify
+BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak nethackify scramble
 OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd \
 	  censor spammer uniencode pirate kenny scottish fanboy
 CFLAGS	= -O2 -lfl
@@ -29,13 +29,14 @@
 
 samples:	$(BUILD) $(OTHER)
 	-rm -f SAMPLES
-	PATH=.:$$PATH; export PATH; echo $(BUILD) $(OTHER) |grep -v fanboy |xargs -n 1 sh makesample.sh
+	PATH=.:$$PATH; export PATH; echo $(BUILD) $(OTHER) | xargs -n 1 sh makesample.sh
 
 clean:
-	$(RM) -f core *.o *~ $(BUILD) *.c SAMPLES
+	$(RM) -f core *.o *~ $(BUILD) SAMPLES
 	cd ky00te.dir && make clean
 	rm -f kraut.dir/lex.yy.c
 	cd nethackify.dir && make clean
+	cd scramble.dir && make clean
 
 .SUFFIXES: .l
 
@@ -59,3 +60,6 @@
 
 nethackify:
 	cd nethackify.dir && make
+
+scramble: 
+	cd scramble.dir && make

=== scramble.dir/Makefile ===
../scramble: scramble.c
	$(CC) -o $@ $< -O2 -g

clean:
	rm -f ../scramble

=== debian/changelog ===
filters (2.49) unstable; urgency=low

  * scottish: Fix typo. Closes: #688905
  * lolcat: New filter.

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:48:11 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.9.1
 Vcs-Git: git://git.kitenet.net/filters
 Homepage: http://kitenet.net/~joey/code/filters/

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/filters/news

## filters 2.52

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 LEX	= flex
 BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak nethackify scramble
 OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd \
-	  censor spammer uniencode pirate kenny scottish fanboy
+	  censor spammer uniencode pirate kenny scottish fanboy LOLCAT
 CFLAGS	= -O2 -lfl
 export CFLAGS
 INSTALL_PROGRAM = install

=== debian/changelog ===
filters (2.52) unstable; urgency=medium

  * Rename lolcat to LOLCAT to avoid collision with a fine rainbow colored cat.
    Closes: #760910

 -- Joey Hess <joeyh@debian.org>  Tue, 09 Sep 2014 10:04:03 -0400

filters (2.51) unstable; urgency=medium

  * Include lolcat in installation, which was missed by accident.
    Closes: #760842 Thanks, Jochen Sprickerhof

 -- Joey Hess <joeyh@debian.org>  Mon, 08 Sep 2014 08:56:28 -0400

filters (2.50) unstable; urgency=medium

  * Reorganize some code to support building with clang.
    Closes: #758450 Thanks, Alexander.

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2014 14:16:58 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/filters
 Homepage: http://kitenet.net/~joey/code/filters/

## filters 2.53

=== debian/changelog ===
filters (2.53) unstable; urgency=medium

  * Orphaned the Debian package.

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Nov 2014 00:38:19 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Build-Depends: debhelper (>= 7), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/filters
 Homepage: http://kitenet.net/~joey/code/filters/

## filters 2.55

=== Makefile ===
LEX	= flex
BUILD	= jethro kraut cockney jive nyc ken ky00te newspeak nethackify scramble
OTHER	= eleet b1ff chef jibberish upside-down rasterman studly fudd \
	  censor spammer uniencode pirate kenny scottish fanboy LOLCAT
ifndef CFLAGS
CFLAGS = -O2
endif
CFLAGS += $(CPPFLAGS)
export CFLAGS
INSTALL_PROGRAM = install

# DEB_BUILD_OPTIONS suport, to control binary stripping.
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

all:	$(OTHER) $(BUILD)

install:	$(BUILD) $(OTHER)
	install -d $(DESTDIR)/usr/games
	$(INSTALL_PROGRAM) $(BUILD) $(DESTDIR)/usr/games/
	install $(OTHER) $(DESTDIR)/usr/games/
	install -d $(DESTDIR)/usr/share/man/man6
	install -m 0644 filters.6 $(DESTDIR)/usr/share/man/man6
	cd $(DESTDIR)/usr/share/man/man6 && \
		$(foreach prog,$(BUILD) $(OTHER),ln -s filters.6 $(prog).6;)

clean:
	$(RM) -f core *.o *~ $(BUILD)
	cd ky00te.dir && make clean

.SUFFIXES: .l

.l:
	$(RM) $*.c
	$(LEX) -t $< > $*.c
	$(CC) -o $@ $*.c $(CFLAGS) -lfl $(LDFLAGS)
	$(RM) $*.c

.SUFFIXES: .dir

.dir:
	cd $<; make

nethackify: nethackify.c
scramble: scramble.c

=== debian/changelog ===
filters (2.55-3build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:01:23 +0000

filters (2.55-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: do not strip during installation. (Closes: #870762)

  [ Marius Gavrilescu ]
  * Bump Standards-Version (no changes needed)

 -- Marius Gavrilescu <marius@ieval.ro>  Wed, 09 Aug 2017 18:05:00 +0300

filters (2.55-2) unstable; urgency=medium

  * Build-Depend on libfl-dev (Closes: #846423)
  * Bump Standards-Version to 3.9.8
  * Use hardening compilation options

 -- Marius Gavrilescu <marius@ieval.ro>  Thu, 08 Dec 2016 18:08:58 +0200

filters (2.55-1) unstable; urgency=medium

  * New maintainer (Closes: #768530)
  * Make package non-native
  * Add d/watch
  * Use git-buildpackage

  [ Joey Hess ]
  * Fix build warnings.
    Thanks, Marius Gavrilescu.
  * scramble: Fix missing free and improve error handling.
    Thanks, Marius Gavrilescu
  * A few other minor fixes.
  * Update urls.

 -- Marius Gavrilescu <marius@ieval.ro>  Mon, 14 Dec 2015 10:29:39 +0200

filters (2.54) unstable; urgency=medium

  * Fix UTF-8 handling in uniencode. Closes: #508003
    Thanks, Marius Gavrilescu.
  * Improve layout and build process.
    Thanks, Marius Gavrilescu.
  * Replace fread with getchar in nethackify.
    Thanks, Marius Gavrilescu.
  * Fix NAME section of manpage. Closes: #775035
    Thanks, Marius Gavrilescu.
  * Remove SAMPLES file for deterministic builds.
  * Makefile: Propagate input CFLAGS and LDFLAGS through to the compiler
    to allow eg, building with hardening.
    Thanks, Marius Gavrilescu.

 -- Joey Hess <id@joeyh.name>  Thu, 30 Jul 2015 14:33:57 -0400

=== debian/control ===
Source: filters
Section: games
Priority: optional
Build-Depends: debhelper (>= 9), flex, bison | byacc | btyacc, dpkg-dev (>= 1.9.0), libfl-dev
Maintainer: Marius Gavrilescu <marius@ieval.ro>
Standards-Version: 4.0.1
Vcs-Git: https://git.ieval.ro/git/filters.git
Vcs-Browser: https://git.ieval.ro/?p=filters.git
Homepage: http://joeyh.name/code/filters/

Package: filters
Architecture: any
Conflicts: filters-nonfree
Replaces: filters-nonfree
Suggests: bsdgames
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: collected filters, including B1FF and the Swedish Chef
 A collection of filters to do all sorts of strange things to text.
 This includes such favorites as B1FF and the Swedish Chef, and a wide
 range of others.

=== debian/watch ===
version=3
# Upstream does not release tarballs, but there is a news page showing releases.
opts=downloadurlmangle=s/.*// \
https://joeyh.name/code/filters/ .*/news/version_([0-9.]+)/

## filters 2.56

=== debian/changelog ===
filters (2.56-1) unstable; urgency=medium

  * New upstream version removing quote which is illegal in some countries
    (Thanks to Asher Gordon)
    Closes: #987810
  * Maintain package in Games team
    Closes: #1124277
  * d/watch:
     - version=5
     - Use Git mode
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Use secure URI in Homepage field.
  * Do not Build-Depend dpkg-dev

 -- Andreas Tille <tille@debian.org>  Mon, 19 Jan 2026 09:52:56 +0100

=== debian/control ===
Source: filters
Standards-Version: 4.7.3
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Marius Gavrilescu <marius@ieval.ro>,
 Andreas Tille <tille@debian.org>,
Section: games
Build-Depends:
 debhelper-compat (= 13),
 flex,
 bison | byacc | btyacc,
 libfl-dev,
Vcs-Browser: https://salsa.debian.org/games-team/filters
Vcs-Git: https://salsa.debian.org/games-team/filters.git
Homepage: https://joeyh.name/code/filters/

Package: filters
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 bsdgames,
Conflicts:
 filters-nonfree,
Replaces:
 filters-nonfree,
Description: collected filters, including B1FF and the Swedish Chef
 A collection of filters to do all sorts of strange things to text.
 This includes such favorites as B1FF and the Swedish Chef, and a wide
 range of others.

=== debian/watch ===
Version: 5

Source: git://git.joeyh.name/@PACKAGE@
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
